<?php

use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateRubricActivityTable extends Migration
{

	public function up()
	{
		Schema::create('rubric_activity', function (Blueprint $table) {
			$table->increments('id');
			$table->integer('rubric_id')->unsigned();
			$table->integer('activity_id')->unsigned();
			$table->timestamps();

			$table
				->foreign('rubric_id')
				->references('id')
				->on('rubrics')
				->onDelete('cascade')
				->onUpdate('cascade');
			$table
				->foreign('activity_id')
				->references('id')
				->on('activities')
				->onDelete('cascade')
				->onUpdate('cascade');
		});
	}


	/**
	 * Reverse the migrations.
	 *
	 * @return void
	 */
	public function down()
	{
		Schema::drop('rubric_activity');
	}
}
